#-------------------------------------------------
#
# Project created by QtCreator 2019-04-12T18:41:33
#
#-------------------------------------------------

QT       += core gui opengl
LIBS += -lopengl32 -lglew32

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = VISUALISATION2
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

CONFIG += c++11
CONFIG += console

SOURCES += \
        main.cpp \
        mainwindow.cpp \
    glwidget.cpp \
    glwidget.cpp \
    main.cpp \
    mainwindow.cpp \
    glwidget.cpp \
    main.cpp \
    mainwindow.cpp \
    lib/trk_importer/trkfileio.cpp

HEADERS += \
        mainwindow.h \
    glwidget.h \
    shader.h \
    lib/glew/include/glew.h \
    lib/glew/include/glxew.h \
    lib/glew/include/wglew.h \
    glwidget.h \
    mainwindow.h \
    shader.h \
    lib/glew/include/glew.h \
    lib/glew/include/glxew.h \
    lib/glew/include/wglew.h \
    glwidget.h \
    mainwindow.h \
    shader.h \
    camera.h \
    lib/trk_importer/defs.h \
    lib/trk_importer/trkfileio.h

FORMS += \
        mainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

win32:CONFIG(release, debug|release): LIBS += -L$$PWD/lib/glew/lib/ -lglew32
else:win32:CONFIG(debug, debug|release): LIBS += -L$$PWD/lib/glew/lib/ -lglew32d
else:unix: LIBS += -L$$PWD/lib/glew/lib/ -lglew32

INCLUDEPATH += $$PWD/lib/glew/include
DEPENDPATH += $$PWD/lib/glew/include

INCLUDEPATH +=  $$PWD/lib/glm/glm
INCLUDEPATH +=  $$PWD/lib/trk_importer

DISTFILES += \
    ../build-VISUALISATION2-Desktop_Qt_5_12_2_MSVC2015_64bit-Release/Shader/fragment.fr \
    ../build-VISUALISATION2-Desktop_Qt_5_12_2_MSVC2015_64bit-Release/Shader/point.fr \
    ../build-VISUALISATION2-Desktop_Qt_5_12_2_MSVC2015_64bit-Release/Shader/point.vr \
    ../build-VISUALISATION2-Desktop_Qt_5_12_2_MSVC2015_64bit-Release/Shader/vertex.vr \
    vertex.vr \
    fragment.fr \
    Shader/fragment.fr \
    Shader/vertex.vr \
    Shader/fragment.fr \
    Shader/vertex.vr
